Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPRectilinearGridWriter Class Reference

`#include <vtkXMLPRectilinearGridWriter.h>`

Inheritance diagram for vtkXMLPRectilinearGridWriter:

[legend]
Collaboration diagram for vtkXMLPRectilinearGridWriter:

[legend]
List of all members.

## Detailed Description

Write PVTK XML RectilinearGrid files.

Date:
  2002/11/22 20:51:52

Revision:
  1.2

vtkXMLPRectilinearGridWriter writes the PVTK XML RectilinearGrid file format. One rectilinear grid input can be written into a parallel file format with any number of pieces spread across files. The standard extension for this writer's file format is "pvtr". This writer uses vtkXMLRectilinearGridWriter to write the individual piece files.

See also:
  vtkXMLRectilinearGridWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPRectilinearGridWriter.h)`
  - .`cxx` (`/IO/vtkXMLPRectilinearGridWriter.cxx)`

Definition at line 50 of file vtkXMLPRectilinearGridWriter.h.

## Public Types
typedef vtkXMLPStructuredDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
const char * | GetDefaultFileExtension ()
void | SetInput (vtkRectilinearGrid *input)
vtkRectilinearGrid * | GetInput ()
## Static Public Methods
vtkXMLPRectilinearGridWriter * | New ()
int | IsTypeOf (const char *type)
vtkXMLPRectilinearGridWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPRectilinearGridWriter ()
| ~vtkXMLPRectilinearGridWriter ()
const char * | GetDataSetName ()
vtkXMLStructuredDataWriter * | CreateStructuredPieceWriter ()
void | WritePData (vtkIndent indent)

## Member Typedef Documentation

typedef vtkXMLPStructuredDataWriter vtkXMLPRectilinearGridWriter::Superclass

| Reimplemented from vtkXMLPStructuredDataWriter. Definition at line 54 of file vtkXMLPRectilinearGridWriter.h.

## Constructor & Destructor Documentation

vtkXMLPRectilinearGridWriter::vtkXMLPRectilinearGridWriter | ( |  | ) | `[protected]`

vtkXMLPRectilinearGridWriter::~vtkXMLPRectilinearGridWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkXMLPRectilinearGridWriter* vtkXMLPRectilinearGridWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkXMLPRectilinearGridWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPStructuredDataWriter.

int vtkXMLPRectilinearGridWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataWriter.

virtual int vtkXMLPRectilinearGridWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataWriter.

vtkXMLPRectilinearGridWriter* vtkXMLPRectilinearGridWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPStructuredDataWriter.

void vtkXMLPRectilinearGridWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPStructuredDataWriter.

void vtkXMLPRectilinearGridWriter::SetInput | ( | vtkRectilinearGrid * | input | ) |

| Get/Set the writer's input.

vtkRectilinearGrid* vtkXMLPRectilinearGridWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

const char* vtkXMLPRectilinearGridWriter::GetDefaultFileExtension | ( |  | ) | `[virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

const char* vtkXMLPRectilinearGridWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

vtkXMLStructuredDataWriter* vtkXMLPRectilinearGridWriter::CreateStructuredPieceWriter | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPStructuredDataWriter.

void vtkXMLPRectilinearGridWriter::WritePData | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkXMLPRectilinearGridWriter.h